Bug 188778 - [ patch ] net/asterisk11 unpublished dependency to multimedia/libv4l and multimedia/ffmpeg
Summary: [ patch ] net/asterisk11 unpublished dependency to multimedia/libv4l and mult...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-19 00:20 UTC by Dan Lukes
Modified: 2015-06-09 10:42 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (484 bytes, patch)
2014-04-19 00:20 UTC, Dan Lukes
no flags Details | Diff
file.diff (985 bytes, patch)
2014-04-19 00:20 UTC, Dan Lukes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Lukes 2014-04-19 00:20:00 UTC
	There is no problem as long as no multimedia/libv4l and multimedia/ffmpeg is
installed during compilation. If present, they are autodetected by Asterisk and used,
but dependencies are not recorded.

Fix: Disable libv4l and ffmpeg autodetection.

 --- patch-Asterisk begins here ---
--- net/asterisk11/files/extra-DAN-noffmpeg begins here ---
How-To-Repeat: 	Compile multimedia/libv4l and multimedia/ffmpeg, then net/asterisk11 package.
Move asterisk package to another computer with no multimedia/libv4l and multimedia/ffmpeg
installed. Check
ldd /usr/local/lib/asterisk/modules/res_rtp_asterisk.so
Comment 1 Edwin Groothuis freebsd_committer 2014-04-19 00:20:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2015-06-07 21:17:58 UTC
Hi,

I was informed of this PR existence.

I had a quick look and you look correct. I'll make some tests in the next few days to prepare a fix.

I'll let you know if I need help or further testing.

Thanks!
Comment 3 Guido Falsi freebsd_committer 2015-06-09 10:41:31 UTC
Patch solving this problem committed.

Thanks for reporting the issue.
Comment 4 commit-hook freebsd_committer 2015-06-09 10:42:02 UTC
A commit references this bug:

Author: madpilot
Date: Tue Jun  9 10:41:06 UTC 2015
New revision: 388908
URL: https://svnweb.freebsd.org/changeset/ports/388908

Log:
  Add patch to prevent uneeded and unpublished linking against v4l
  and ffmpeg.

  PR:		188778
  Submitted by:	Dan Lukes <dan at obluda.cz>

Changes:
  head/net/asterisk11/Makefile
  head/net/asterisk11/files/patch-res_Makefile